Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class JSVGViewerFrame

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Frame
                      javax.swing.JFrame
                          org.apache.batik.apps.svgbrowser.JSVGViewerFrame

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, Accessible, RootPaneContainer, WindowConstants, UpdateManagerListener, GVTTreeRendererListener, GVTTreeBuilderListener, LinkActivationListener, SVGDocumentLoaderListener, SVGLoadEventDispatcherListener, ActionMap

    public class JSVGViewerFrame

extends JFrame
implements ActionMap, SVGDocumentLoaderListener, GVTTreeBuilderListener, SVGLoadEventDispatcherListener, GVTTreeRendererListener, LinkActivationListener, UpdateManagerListener

This class represents a SVG viewer swing frame.

See Also:
  Serialized Form

Nested Class Summary
`class` | `JSVGViewerFrame.AboutAction` To show the about dialog
`class` | `JSVGViewerFrame.BackAction` To go back to the previous document
`protected class` | `JSVGViewerFrame.Canvas` An extension of JSVGCanvas that exposes the Rhino interpreter.
`class` | `JSVGViewerFrame.CloseAction` To close the last document.
`protected static class` | `JSVGViewerFrame.Debugger` Rhino debugger class.
`class` | `JSVGViewerFrame.DOMViewerAction` To display the DOM viewer of the document
`class` | `JSVGViewerFrame.ExportAsJPGAction` To save the current document as JPG.
`class` | `JSVGViewerFrame.ExportAsPNGAction` To save the current document as PNG.
`class` | `JSVGViewerFrame.ExportAsTIFFAction` To save the current document as TIFF.
`class` | `JSVGViewerFrame.FindDialogAction` To display the Find dialog
`class` | `JSVGViewerFrame.FlushAction` To flush image cache (purely for debugging purposes)
`class` | `JSVGViewerFrame.ForwardAction` To go forward to the next document
`class` | `JSVGViewerFrame.FullScreenAction` To display the document full screen
`protected static class` | `JSVGViewerFrame.ImageFileFilter` A FileFilter used when exporting the SVG document as an image.
`class` | `JSVGViewerFrame.MonitorAction` To display the memory monitor.
`class` | `JSVGViewerFrame.NewWindowAction` To open a new window.
`class` | `JSVGViewerFrame.NextTransformAction` To go forward to the next transform
`class` | `JSVGViewerFrame.OpenAction` To open a new file.
`class` | `JSVGViewerFrame.OpenLocationAction` To open a new document.
`class` | `JSVGViewerFrame.PauseAction` To pause a document.
`class` | `JSVGViewerFrame.PlayAction` To restart after a pause.
`class` | `JSVGViewerFrame.PreferencesAction` To show the preferences.
`class` | `JSVGViewerFrame.PreviousTransformAction` To go back to the previous transform
`class` | `JSVGViewerFrame.PrintAction` To print the current document.
`class` | `JSVGViewerFrame.ReloadAction` To reload the current document.
`class` | `JSVGViewerFrame.SaveAsAction` To save the current document as SVG.
`class` | `JSVGViewerFrame.SetTransformAction` To show the set transform dialog
`class` | `JSVGViewerFrame.StopAction` To stop the current processing.
`class` | `JSVGViewerFrame.ThumbnailDialogAction` To display the Thumbnail dialog
`class` | `JSVGViewerFrame.ToggleDebuggerAction` To toggle visiblity of JavaScript Debugger.
`protected class` | `JSVGViewerFrame.UserAgent` This class implements a SVG user agent.
`class` | `JSVGViewerFrame.UseStylesheetAction` To apply the selected author stylesheet
`class` | `JSVGViewerFrame.ViewSourceAction` To view the source of the current document.

Nested classes/interfaces inherited from class javax.swing.JFrame
`JFrame.AccessibleJFrame`

Nested classes/interfaces inherited from class java.awt.Frame
`Frame.AccessibleAWTFrame`

Nested classes/interfaces inherited from class java.awt.Window
`Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`static String` | `ABOUT_ACTION`
`protected String` | `alternateStyleSheet` The alternate style-sheet title.
`protected Application` | `application` The current application.
`protected boolean` | `autoAdjust` The auto adjust flag.
`static String` | `BACK_ACTION`
`protected JSVGViewerFrame.BackAction` | `backAction` The back action
`protected static ResourceBundle` | `bundle` The resource bundle
`static String` | `CLOSE_ACTION`
`protected File` | `currentPath` The current path.
`protected File` | `currentSavePath` The current export path.
`protected boolean` | `debug` The debug flag.
`protected JSVGViewerFrame.Debugger` | `debugger` The debugger object.
`static Cursor` | `DEFAULT_CURSOR` The default cursor.
`protected static SquiggleInputHandler` | `defaultHandler` The default input handler
`static String` | `DOM_VIEWER_ACTION`
`protected DOMViewer` | `domViewer` The DOM viewer.
`static String` | `EXIT_ACTION`
`static String` | `EXPORT_AS_JPG_ACTION`
`static String` | `EXPORT_AS_PNG_ACTION`
`static String` | `EXPORT_AS_TIFF_ACTION`
`static String` | `FIND_DIALOG_ACTION`
`protected FindDialog` | `findDialog` The Find dialog.
`static String` | `FLUSH_ACTION`
`static String` | `FORWARD_ACTION`
`protected JSVGViewerFrame.ForwardAction` | `forwardAction` The forward action
`static String` | `FULL_SCREEN_ACTION`
`protected static Vector` | `handlers` The input handlers
`protected static String` | `JDK_1_4_PRESENCE_TEST_CLASS` If the following class can be found (it appeared in JDK 1.4), then we know we are post JDK 1.4.
`protected Map` | `listeners` The map that contains the action listeners
`protected LocalHistory` | `localHistory` The local history.
`protected LocationBar` | `locationBar` The location bar.
`protected boolean` | `managerStopped` Whether the update manager was stopped.
`protected static JFrame` | `memoryMonitorFrame` The memory monitor frame.
`static String` | `MONITOR_ACTION`
`static String` | `NEW_WINDOW_ACTION`
`static String` | `NEXT_TRANSFORM_ACTION`
`protected JSVGViewerFrame.NextTransformAction` | `nextTransformAction` The next transform action
`static String` | `OPEN_ACTION`
`static String` | `OPEN_LOCATION_ACTION`
`protected static String` | `OPEN_TITLE` Resource string name for the Open dialog.
`static String` | `PAUSE_ACTION`
`protected JSVGViewerFrame.PauseAction` | `pauseAction` The pause action
`static String` | `PLAY_ACTION`
`protected JSVGViewerFrame.PlayAction` | `playAction` The play action
`static String` | `PREFERENCES_ACTION`
`static String` | `PREVIOUS_TRANSFORM_ACTION`
`protected JSVGViewerFrame.PreviousTransformAction` | `previousTransformAction` The previous transform action
`static String` | `PRINT_ACTION`
`protected static boolean` | `priorJDK1_4` Kind of ugly, but we need to know if we are running before or after 1.4...
`static String` | `PROPERTY_OS_NAME` Name for the os-name property
`static String` | `PROPERTY_OS_NAME_DEFAULT` Name for the os.name default
`static String` | `PROPERTY_OS_WINDOWS_PREFIX` Name for the os.name property prefix we are looking for in OpenAction to work around JFileChooser bug
`static String` | `RELOAD_ACTION`
`static String` | `RESET_TRANSFORM_ACTION`
`protected static ResourceManager` | `resources` The resource manager
`static String` | `RESOURCES` The gui resources file name
`static String` | `SAVE_AS_ACTION`
`static String` | `SET_TRANSFORM_ACTION`
`protected StatusBar` | `statusBar` The status bar.
`static String` | `STOP_ACTION`
`protected JSVGViewerFrame.StopAction` | `stopAction` The stop action
`protected JSVGViewerFrame.Canvas` | `svgCanvas` The JSVGCanvas.
`protected JPanel` | `svgCanvasPanel` The panel where the svgCanvas is displayed
`protected org.w3c.dom.svg.SVGDocument` | `svgDocument` The current document.
`static String` | `THUMBNAIL_DIALOG_ACTION`
`protected ThumbnailDialog` | `thumbnailDialog` The Find dialog.
`protected String` | `title` The initial frame title.
`static String` | `TOGGLE_DEBUGGER_ACTION`
`protected JAffineTransformChooser.Dialog` | `transformDialog` The transform dialog
`protected TransformHistory` | `transformHistory` The transform history.
`protected URIChooser` | `uriChooser` The URI chooser.
`static String` | `USE_STYLESHEET_ACTION`
`protected SVGUserAgent` | `userAgent` The SVG user agent.
`protected JSVGViewerFrame.UseStylesheetAction` | `useStylesheetAction` The use (author) stylesheet action
`static String` | `VIEW_SOURCE_ACTION`
`static Cursor` | `WAIT_CURSOR` The cursor indicating that an operation is pending.
`protected JWindow` | `window` A window used for full screen display
`static String` | `ZOOM_IN_ACTION`
`static String` | `ZOOM_OUT_ACTION`

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JSVGViewerFrame(Application app)` Creates a new SVG viewer frame.

Method Summary
`void` | `dispose()` Call dispose on canvas as well.
`void` | `documentLoadingCancelled(SVGDocumentLoaderEvent e)` Called when the loading of a document was cancelled.
`void` | `documentLoadingCompleted(SVGDocumentLoaderEvent e)` Called when the loading of a document was completed.
`void` | `documentLoadingFailed(SVGDocumentLoaderEvent e)` Called when the loading of a document has failed.
`void` | `documentLoadingStarted(SVGDocumentLoaderEvent e)` Called when the loading of a document was started.
`Action` | `getAction(String key)` Returns the action associated with the given string or null on error
`protected static Vector` | `getHandlers()` Returns the list of input file handler.
`SquiggleInputHandler` | `getInputHandler(ParsedURL purl)` Returns the input handler for the given URI
`JSVGCanvas` | `getJSVGCanvas()` Returns the main JSVGCanvas of this frame.
`void` | `gvtBuildCancelled(GVTTreeBuilderEvent e)` Called when a build was cancelled.
`void` | `gvtBuildCompleted(GVTTreeBuilderEvent e)` Called when a build was completed.
`void` | `gvtBuildFailed(GVTTreeBuilderEvent e)` Called when a build failed.
`void` | `gvtBuildStarted(GVTTreeBuilderEvent e)` Called when a build started.
`void` | `gvtRenderingCancelled(GVTTreeRendererEvent e)` Called when a rendering was cancelled.
`void` | `gvtRenderingCompleted(GVTTreeRendererEvent e)` Called when a rendering was completed.
`void` | `gvtRenderingFailed(GVTTreeRendererEvent e)` Called when a rendering failed.
`void` | `gvtRenderingPrepare(GVTTreeRendererEvent e)` Called when a rendering is in its preparing phase.
`void` | `gvtRenderingStarted(GVTTreeRendererEvent e)` Called when a rendering started.
`void` | `hideDebugger()` Hides and destroys the Rhino debugger.
`void` | `linkActivated(LinkActivationEvent e)` Called when a link was activated.
`void` | `managerResumed(UpdateManagerEvent e)` Called when the manager was resumed.
`void` | `managerStarted(UpdateManagerEvent e)` Called when the manager was started.
`void` | `managerStopped(UpdateManagerEvent e)` Called when the manager was stopped.
`void` | `managerSuspended(UpdateManagerEvent e)` Called when the manager was suspended.
`static void` | `registerHandler(SquiggleInputHandler handler)` Registers an input file handler by adding it to the handlers map.
`void` | `setAutoAdjust(boolean b)` Whether to auto adjust the canvas to the size of the document.
`void` | `setDebug(boolean b)` Whether to show the debug traces.
`void` | `setSVGDocument(org.w3c.dom.svg.SVGDocument svgDocument, String svgDocumentURL, String svgDocumentTitle)` Forces the viewer frame to show the input SVGDocument
`void` | `showDebugger()` Shows the Rhino debugger.
`void` | `showSVGDocument(String uri)` Shows the given document into the viewer frame
`void` | `svgLoadEventDispatchCancelled(SVGLoadEventDispatcherEvent e)` Called when a onload event dispatch was cancelled.
`void` | `svgLoadEventDispatchCompleted(SVGLoadEventDispatcherEvent e)` Called when a onload event dispatch was completed.
`void` | `svgLoadEventDispatchFailed(SVGLoadEventDispatcherEvent e)` Called when a onload event dispatch failed.
`void` | `svgLoadEventDispatchStarted(SVGLoadEventDispatcherEvent e)` Called when a onload event dispatch started.
`void` | `updateCompleted(UpdateManagerEvent e)` Called when an update was completed.
`void` | `updateFailed(UpdateManagerEvent e)` Called when an update failed.
`void` | `updateStarted(UpdateManagerEvent e)` Called when an update started.

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

Methods inherited from class java.awt.Frame
`addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setVisible, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### priorJDK1_4

    protected static boolean priorJDK1_4

  Kind of ugly, but we need to know if we are running before or after 1.4...

### JDK_1_4_PRESENCE_TEST_CLASS

    protected static final String JDK_1_4_PRESENCE_TEST_CLASS

  If the following class can be found (it appeared in JDK 1.4), then we know we are post JDK 1.4.

  See Also:
    Constant Field Values

### RESOURCES

    public static final String RESOURCES

  The gui resources file name

  See Also:
    Constant Field Values

### ABOUT_ACTION

    public static final String ABOUT_ACTION

See Also:
  Constant Field Values

### OPEN_ACTION

    public static final String OPEN_ACTION

See Also:
  Constant Field Values

### OPEN_LOCATION_ACTION

    public static final String OPEN_LOCATION_ACTION

See Also:
  Constant Field Values

### NEW_WINDOW_ACTION

    public static final String NEW_WINDOW_ACTION

See Also:
  Constant Field Values

### RELOAD_ACTION

    public static final String RELOAD_ACTION

See Also:
  Constant Field Values

### SAVE_AS_ACTION

    public static final String SAVE_AS_ACTION

See Also:
  Constant Field Values

### BACK_ACTION

    public static final String BACK_ACTION

See Also:
  Constant Field Values

### FORWARD_ACTION

    public static final String FORWARD_ACTION

See Also:
  Constant Field Values

### FULL_SCREEN_ACTION

    public static final String FULL_SCREEN_ACTION

See Also:
  Constant Field Values

### PRINT_ACTION

    public static final String PRINT_ACTION

See Also:
  Constant Field Values

### EXPORT_AS_JPG_ACTION

    public static final String EXPORT_AS_JPG_ACTION

See Also:
  Constant Field Values

### EXPORT_AS_PNG_ACTION

    public static final String EXPORT_AS_PNG_ACTION

See Also:
  Constant Field Values

### EXPORT_AS_TIFF_ACTION

    public static final String EXPORT_AS_TIFF_ACTION

See Also:
  Constant Field Values

### PREFERENCES_ACTION

    public static final String PREFERENCES_ACTION

See Also:
  Constant Field Values

### CLOSE_ACTION

    public static final String CLOSE_ACTION

See Also:
  Constant Field Values

### VIEW_SOURCE_ACTION

    public static final String VIEW_SOURCE_ACTION

See Also:
  Constant Field Values

### EXIT_ACTION

    public static final String EXIT_ACTION

See Also:
  Constant Field Values

### RESET_TRANSFORM_ACTION

    public static final String RESET_TRANSFORM_ACTION

See Also:
  Constant Field Values

### ZOOM_IN_ACTION

    public static final String ZOOM_IN_ACTION

See Also:
  Constant Field Values

### ZOOM_OUT_ACTION

    public static final String ZOOM_OUT_ACTION

See Also:
  Constant Field Values

### PREVIOUS_TRANSFORM_ACTION

    public static final String PREVIOUS_TRANSFORM_ACTION

See Also:
  Constant Field Values

### NEXT_TRANSFORM_ACTION

    public static final String NEXT_TRANSFORM_ACTION

See Also:
  Constant Field Values

### USE_STYLESHEET_ACTION

    public static final String USE_STYLESHEET_ACTION

See Also:
  Constant Field Values

### PLAY_ACTION

    public static final String PLAY_ACTION

See Also:
  Constant Field Values

### PAUSE_ACTION

    public static final String PAUSE_ACTION

See Also:
  Constant Field Values

### STOP_ACTION

    public static final String STOP_ACTION

See Also:
  Constant Field Values

### MONITOR_ACTION

    public static final String MONITOR_ACTION

See Also:
  Constant Field Values

### DOM_VIEWER_ACTION

    public static final String DOM_VIEWER_ACTION

See Also:
  Constant Field Values

### SET_TRANSFORM_ACTION

    public static final String SET_TRANSFORM_ACTION

See Also:
  Constant Field Values

### FIND_DIALOG_ACTION

    public static final String FIND_DIALOG_ACTION

See Also:
  Constant Field Values

### THUMBNAIL_DIALOG_ACTION

    public static final String THUMBNAIL_DIALOG_ACTION

See Also:
  Constant Field Values

### FLUSH_ACTION

    public static final String FLUSH_ACTION

See Also:
  Constant Field Values

### TOGGLE_DEBUGGER_ACTION

    public static final String TOGGLE_DEBUGGER_ACTION

See Also:
  Constant Field Values

### WAIT_CURSOR

    public static final Cursor WAIT_CURSOR

  The cursor indicating that an operation is pending.

### DEFAULT_CURSOR

    public static final Cursor DEFAULT_CURSOR

  The default cursor.

### PROPERTY_OS_NAME

    public static final String PROPERTY_OS_NAME

  Name for the os-name property

### PROPERTY_OS_NAME_DEFAULT

    public static final String PROPERTY_OS_NAME_DEFAULT

  Name for the os.name default

### PROPERTY_OS_WINDOWS_PREFIX

    public static final String PROPERTY_OS_WINDOWS_PREFIX

  Name for the os.name property prefix we are looking for in OpenAction to work around JFileChooser bug

### OPEN_TITLE

    protected static final String OPEN_TITLE

  Resource string name for the Open dialog.

  See Also:
    Constant Field Values

### handlers

    protected static Vector handlers

  The input handlers

### defaultHandler

    protected static SquiggleInputHandler defaultHandler

  The default input handler

### bundle

    protected static ResourceBundle bundle

  The resource bundle

### resources

    protected static ResourceManager resources

  The resource manager

### application

    protected Application application

  The current application.

### svgCanvas

    protected JSVGViewerFrame.Canvas svgCanvas

  The JSVGCanvas.

### svgCanvasPanel

    protected JPanel svgCanvasPanel

  The panel where the svgCanvas is displayed

### window

    protected JWindow window

  A window used for full screen display

### memoryMonitorFrame

    protected static JFrame memoryMonitorFrame

  The memory monitor frame.

### currentPath

    protected File currentPath

  The current path.

### currentSavePath

    protected File currentSavePath

  The current export path.

### backAction

    protected JSVGViewerFrame.BackAction backAction

  The back action

### forwardAction

    protected JSVGViewerFrame.ForwardAction forwardAction

  The forward action

### playAction

    protected JSVGViewerFrame.PlayAction playAction

  The play action

### pauseAction

    protected JSVGViewerFrame.PauseAction pauseAction

  The pause action

### stopAction

    protected JSVGViewerFrame.StopAction stopAction

  The stop action

### previousTransformAction

    protected JSVGViewerFrame.PreviousTransformAction previousTransformAction

  The previous transform action

### nextTransformAction

    protected JSVGViewerFrame.NextTransformAction nextTransformAction

  The next transform action

### useStylesheetAction

    protected JSVGViewerFrame.UseStylesheetAction useStylesheetAction

  The use (author) stylesheet action

### debug

    protected boolean debug

  The debug flag.

### autoAdjust

    protected boolean autoAdjust

  The auto adjust flag.

### managerStopped

    protected boolean managerStopped

  Whether the update manager was stopped.

### userAgent

    protected SVGUserAgent userAgent

  The SVG user agent.

### svgDocument

    protected org.w3c.dom.svg.SVGDocument svgDocument

  The current document.

### uriChooser

    protected URIChooser uriChooser

  The URI chooser.

### domViewer

    protected DOMViewer domViewer

  The DOM viewer.

### findDialog

    protected FindDialog findDialog

  The Find dialog.

### thumbnailDialog

    protected ThumbnailDialog thumbnailDialog

  The Find dialog.

### transformDialog

    protected JAffineTransformChooser.Dialog transformDialog

  The transform dialog

### locationBar

    protected LocationBar locationBar

  The location bar.

### statusBar

    protected StatusBar statusBar

  The status bar.

### title

    protected String title

  The initial frame title.

### localHistory

    protected LocalHistory localHistory

  The local history.

### transformHistory

    protected TransformHistory transformHistory

  The transform history.

### alternateStyleSheet

    protected String alternateStyleSheet

  The alternate style-sheet title.

### debugger

    protected JSVGViewerFrame.Debugger debugger

  The debugger object.

### listeners

    protected Map listeners

  The map that contains the action listeners

Constructor Detail

### JSVGViewerFrame

    public JSVGViewerFrame(Application app)

  Creates a new SVG viewer frame.

Method Detail

### dispose

    public void dispose()

  Call dispose on canvas as well.

  Overrides:
    `dispose` in class `Window`

### setDebug

    public void setDebug(boolean b)

  Whether to show the debug traces.

### setAutoAdjust

    public void setAutoAdjust(boolean b)

  Whether to auto adjust the canvas to the size of the document.

### getJSVGCanvas

    public JSVGCanvas getJSVGCanvas()

  Returns the main JSVGCanvas of this frame.

### showDebugger

    public void showDebugger()

  Shows the Rhino debugger.

### hideDebugger

    public void hideDebugger()

  Hides and destroys the Rhino debugger.

### showSVGDocument

    public void showSVGDocument(String uri)

  Shows the given document into the viewer frame

### getInputHandler

    public SquiggleInputHandler getInputHandler(ParsedURL purl)
                                         throws IOException

  Returns the input handler for the given URI

  Throws:
    `IOException`

### getHandlers

    protected static Vector getHandlers()

  Returns the list of input file handler.

### registerHandler

    public static void registerHandler(SquiggleInputHandler handler)

  Registers an input file handler by adding it to the handlers map.

  Parameters:
    `handler` - the new input handler to register.

### getAction

    public Action getAction(String key)
                     throws MissingListenerException

  Returns the action associated with the given string or null on error

  Specified by:
    `getAction` in interface `ActionMap`
  Parameters:
    `key` - the key mapped with the action to get
  Throws:
    `MissingListenerException` - if the action is not found

### documentLoadingStarted

    public void documentLoadingStarted(SVGDocumentLoaderEvent e)

  Called when the loading of a document was started.

  Specified by:
    `documentLoadingStarted` in interface `SVGDocumentLoaderListener`

### documentLoadingCompleted

    public void documentLoadingCompleted(SVGDocumentLoaderEvent e)

  Called when the loading of a document was completed.

  Specified by:
    `documentLoadingCompleted` in interface `SVGDocumentLoaderListener`

### setSVGDocument

    public void setSVGDocument(org.w3c.dom.svg.SVGDocument svgDocument,
                               String svgDocumentURL,
                               String svgDocumentTitle)

  Forces the viewer frame to show the input SVGDocument

### documentLoadingCancelled

    public void documentLoadingCancelled(SVGDocumentLoaderEvent e)

  Called when the loading of a document was cancelled.

  Specified by:
    `documentLoadingCancelled` in interface `SVGDocumentLoaderListener`

### documentLoadingFailed

    public void documentLoadingFailed(SVGDocumentLoaderEvent e)

  Called when the loading of a document has failed.

  Specified by:
    `documentLoadingFailed` in interface `SVGDocumentLoaderListener`

### gvtBuildStarted

    public void gvtBuildStarted(GVTTreeBuilderEvent e)

  Called when a build started. The data of the event is initialized to the old document.

  Specified by:
    `gvtBuildStarted` in interface `GVTTreeBuilderListener`

### gvtBuildCompleted

    public void gvtBuildCompleted(GVTTreeBuilderEvent e)

  Called when a build was completed.

  Specified by:
    `gvtBuildCompleted` in interface `GVTTreeBuilderListener`

### gvtBuildCancelled

    public void gvtBuildCancelled(GVTTreeBuilderEvent e)

  Called when a build was cancelled.

  Specified by:
    `gvtBuildCancelled` in interface `GVTTreeBuilderListener`

### gvtBuildFailed

    public void gvtBuildFailed(GVTTreeBuilderEvent e)

  Called when a build failed.

  Specified by:
    `gvtBuildFailed` in interface `GVTTreeBuilderListener`

### svgLoadEventDispatchStarted

    public void svgLoadEventDispatchStarted(SVGLoadEventDispatcherEvent e)

  Called when a onload event dispatch started.

  Specified by:
    `svgLoadEventDispatchStarted` in interface `SVGLoadEventDispatcherListener`

### svgLoadEventDispatchCompleted

    public void svgLoadEventDispatchCompleted(SVGLoadEventDispatcherEvent e)

  Called when a onload event dispatch was completed.

  Specified by:
    `svgLoadEventDispatchCompleted` in interface `SVGLoadEventDispatcherListener`

### svgLoadEventDispatchCancelled

    public void svgLoadEventDispatchCancelled(SVGLoadEventDispatcherEvent e)

  Called when a onload event dispatch was cancelled.

  Specified by:
    `svgLoadEventDispatchCancelled` in interface `SVGLoadEventDispatcherListener`

### svgLoadEventDispatchFailed

    public void svgLoadEventDispatchFailed(SVGLoadEventDispatcherEvent e)

  Called when a onload event dispatch failed.

  Specified by:
    `svgLoadEventDispatchFailed` in interface `SVGLoadEventDispatcherListener`

### gvtRenderingPrepare

    public void gvtRenderingPrepare(GVTTreeRendererEvent e)

  Called when a rendering is in its preparing phase.

  Specified by:
    `gvtRenderingPrepare` in interface `GVTTreeRendererListener`

### gvtRenderingStarted

    public void gvtRenderingStarted(GVTTreeRendererEvent e)

  Called when a rendering started.

  Specified by:
    `gvtRenderingStarted` in interface `GVTTreeRendererListener`

### gvtRenderingCompleted

    public void gvtRenderingCompleted(GVTTreeRendererEvent e)

  Called when a rendering was completed.

  Specified by:
    `gvtRenderingCompleted` in interface `GVTTreeRendererListener`

### gvtRenderingCancelled

    public void gvtRenderingCancelled(GVTTreeRendererEvent e)

  Called when a rendering was cancelled.

  Specified by:
    `gvtRenderingCancelled` in interface `GVTTreeRendererListener`

### gvtRenderingFailed

    public void gvtRenderingFailed(GVTTreeRendererEvent e)

  Called when a rendering failed.

  Specified by:
    `gvtRenderingFailed` in interface `GVTTreeRendererListener`

### linkActivated

    public void linkActivated(LinkActivationEvent e)

  Called when a link was activated.

  Specified by:
    `linkActivated` in interface `LinkActivationListener`

### managerStarted

    public void managerStarted(UpdateManagerEvent e)

  Called when the manager was started.

  Specified by:
    `managerStarted` in interface `UpdateManagerListener`

### managerSuspended

    public void managerSuspended(UpdateManagerEvent e)

  Called when the manager was suspended.

  Specified by:
    `managerSuspended` in interface `UpdateManagerListener`

### managerResumed

    public void managerResumed(UpdateManagerEvent e)

  Called when the manager was resumed.

  Specified by:
    `managerResumed` in interface `UpdateManagerListener`

### managerStopped

    public void managerStopped(UpdateManagerEvent e)

  Called when the manager was stopped.

  Specified by:
    `managerStopped` in interface `UpdateManagerListener`

### updateStarted

    public void updateStarted(UpdateManagerEvent e)

  Called when an update started.

  Specified by:
    `updateStarted` in interface `UpdateManagerListener`

### updateCompleted

    public void updateCompleted(UpdateManagerEvent e)

  Called when an update was completed.

  Specified by:
    `updateCompleted` in interface `UpdateManagerListener`

### updateFailed

    public void updateFailed(UpdateManagerEvent e)

  Called when an update failed.

  Specified by:
    `updateFailed` in interface `UpdateManagerListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.